%global dlrn_nvr 9.3.1-0.20181010034744.157eaab
%global dlrn 1
%define upstream_version 9.3.1
# add guard for OSP packages not carried
%global rhosp 1
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           puppet-tripleo
Version: 9.3.1
Release: 0.20181010034754.157eaab%{?dist}
Summary:        TripleO Puppet Module
License:        ASL 2.0

URL:            https://github.com/openstack/puppet-tripleo

Source0: 9.3.1-0.20181010034744.157eaab-157eaabfe6f603a603fd6b0c5b3a658ff402f3e7.tar.gz


# patches_ignore=DROP-IN-RPM
# patches_base=157eaabfe6f603a603fd6b0c5b3a658ff402f3e7
Patch0001: 0001-DOWNSTREAM-ONLY-Copytruncate-containerized-logrotate.patch
Patch0002: 0002-Fix-Undercloud-masquerading-firewall-rules.patch
Patch0003: 0003-Make-sure-that-the-_member_-role-is-assigned-to-admi.patch
Patch0004: 0004-Enable-TLS-in-the-internal-network-for-Octavia-API.patch
Patch0005: 0005-Include-cinder-nova-in-cinder-s-configuration.patch
Patch0006: 0006-Enable-disablereuse-option-in-Zaqar-proxy-backend.patch
Patch0007: 0007-Fix-ceph-nfs-duplicate-property.patch
Patch0008: 0008-Increase-websocket-timeout.patch
Patch0009: 0009-Include-octavia-controller.patch
Patch0010: 0010-Set-balance-to-source-for-openshift_master-endpoints.patch

BuildArch:      noarch

Requires:       puppet-aodh >= 13.0.0
Requires:       puppet-apache
Requires:       puppet-auditd
Requires:       puppet-barbican >= 13.0.0
Requires:       puppet-cassandra
Requires:       puppet-ceilometer >= 13.0.0
Requires:       puppet-ceph
Requires:       puppet-certmonger
Requires:       puppet-cinder >= 13.0.0
Requires:       puppet-collectd
Requires:       puppet-concat
Requires:       puppet-contrail
Requires:       puppet-corosync
Requires:       puppet-datacat
Requires:       puppet-designate >= 13.0.0
Requires:       puppet-ec2api >= 13.0.0
Requires:       puppet-elasticsearch
Requires:       puppet-fdio
Requires:       puppet-firewall
Requires:       puppet-fluentd
Requires:       puppet-git
Requires:       puppet-glance >= 13.0.0
Requires:       puppet-gnocchi >= 13.0.0
Requires:       puppet-haproxy
Requires:       puppet-heat >= 13.0.0
Requires:       puppet-horizon >= 13.0.0
Requires:       puppet-inifile
Requires:       puppet-ipaclient
Requires:       puppet-ironic >= 13.0.0
Requires:       puppet-java
Requires:       puppet-kafka
Requires:       puppet-keepalived
Requires:       puppet-keystone >= 13.0.0
Requires:       puppet-kibana3
Requires:       puppet-kmod
Requires:       puppet-manila >= 13.0.0
Requires:       puppet-memcached
Requires:       puppet-midonet
Requires:       puppet-mistral >= 13.0.0
Requires:       puppet-module-data
Requires:       puppet-mysql
Requires:       puppet-n1k-vsm
Requires:       puppet-neutron >= 13.0.0
Requires:       puppet-nova >= 13.0.0
Requires:       puppet-nssdb
Requires:       puppet-ntp
Requires:       puppet-octavia >= 13.0.0
Requires:       puppet-opendaylight
Requires:       puppet-openstack_extras >= 13.0.0
Requires:       puppet-openstacklib >= 13.0.0
Requires:       puppet-ovn >= 13.0.0
Requires:       puppet-oslo >= 13.0.0
Requires:       puppet-pacemaker
Requires:       puppet-panko >= 13.0.0
Requires:       puppet-qdr
Requires:       puppet-rabbitmq
Requires:       puppet-redis
Requires:       puppet-remote
Requires:       puppet-rsync
Requires:       puppet-sahara >= 13.0.0
Requires:       puppet-sensu
Requires:       puppet-snmp
Requires:       puppet-ssh
Requires:       puppet-staging
Requires:       puppet-stdlib
Requires:       puppet-swift >= 13.0.0
Requires:       puppet-sysctl
Requires:       puppet-systemd
Requires:       puppet-timezone
Requires:       puppet-tomcat
Requires:       puppet-trove >= 13.0.0
Requires:       puppet-uchiwa
Requires:       puppet-vcsrepo
Requires:       puppet-veritas_hyperscale
Requires:       puppet-vswitch >= 9.0.0
Requires:       puppet-xinetd
Requires:       puppet-zaqar >= 13.0.0
Requires:       puppet-zookeeper
Requires:       puppet >= 2.7.0

%if 0%{rhosp} == 0
Requires:       puppet-mongodb
Requires:       puppet-congress
Requires:       puppet-etcd
Requires:       puppet-tacker
%endif


%description
Lightweight composition layer for Puppet TripleO.

%prep
%setup -q -n openstack-tripleo-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/tripleo/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/tripleo/



%files
%{_datadir}/openstack-puppet/modules/tripleo/


%changelog
* Tue Dec 04 2018 Martin André <m.andre@redhat.com> 9.3.1-0.20181010034754.157eaab
- Set balance to source for openshift_master endpoints (rhbz#1655151)

* Tue Dec 04 2018 Carlos Goncalves <cgoncalves@redhat.com> 9.3.1-0.20181010034753.157eaab
- Include octavia::controller (rhbz#1653053)

* Thu Nov 29 2018 Emilien Macchi <emilien@redhat.com> 9.3.1-0.20181010034752.157eaab
- Increase websocket timeout (rhbz#1654081)

* Tue Nov 20 2018 Goutham Pacha Ravi <gouthampravi@gmail.com> 9.3.1-0.20181010034751.157eaab
- Fix ceph-nfs duplicate property (rhbz#1651792)

* Tue Nov 20 2018 Dan Trainor <dtrainor@redhat.com> 9.3.1-0.20181010034750.157eaab
- Enable disablereuse option in Zaqar proxy backend (rhbz#1647038)

* Fri Nov 16 2018 Alan Bishop <abishop@redhat.com> 9.3.1-0.20181010034749
- Include ::cinder::nova in cinder's configuration (rhbz#1640443)

* Tue Nov 13 2018 Martin Magr <mmagr@redhat.com> 9.3.1-0.20181010034748.157eaab
- Use puppet-qdr module in OSP (rhbz#1580331)

* Mon Nov 12 2018 Nir Magnezi <nmagnezi@redhat.com> 9.3.1-0.20181010034747.157eaab
- Enable TLS in the internal network for Octavia API (rhbz#1635341)

* Wed Nov 07 2018 Sofer Athlan-Guyot <sathlang@redhat.com> 9.3.1-0.20181010034746.157eaab
- Make sure that the _member_ role is assigned to admin. (rhbz#1637988)
- Fix Undercloud masquerading firewall rules (rhbz#1635998)

* Tue Oct 16 2018 Thierry Vignaud <tvignaud@redhat.com> 9.3.1-0.20181010034745.157eaab
- [DOWNSTREAM-ONLY] Copytruncate containerized logrotate configuration (rhbz#1614810 rhbz#1631335)
